<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$maindb = "debmain";
$file = "deboth.php";

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND vouchno = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND mydt = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND invdate = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND party = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND totbillamt = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND vouchno LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND mydt LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND invdate LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND party LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND totbillamt LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY `vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY vouchno";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY mydt";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY invdate";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY party";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY totbillamt";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
} 

$query = "SELECT *, date_format(`vouchdt`, '%d-%m-%Y') as mydt ,date_format(`invdate`, '%d-%m-%Y') as invdt  FROM `$maindb` where vouchno!= ''$cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo ";
          
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {

    $sl = "SELECT `accode`,`name` from accmast where `accode` = '$r[party]'";
$rsl = mysqli_query($conn, $sl)or die(mysqli_error($conn));
$rslf = mysqli_fetch_array($rsl);

    $rows[] = ['success' => true,
        'value' => $ctr,
        'keyfld' => $keyfld,
        'vouchno' => $r[$keyfld],
        'vouchdt' => $r['mydt'],
        'invdate' => $r['invdt'],
        'party' => $rslf['name'],
        'totbillamt' => $r['totbillamt'],
        'action' => "$file?mode=edit&vouchno=$r[vouchno]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
